Bug 1458875 (CVE-2017-10917, xsa221) - CVE-2017-10917 xsa221 xen: NULL pointer deref in event channel poll (XSA-221)
Summary: CVE-2017-10917 xsa221 xen: NULL pointer deref in event channel poll (XSA-221)
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-10917, xsa221
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1463231
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-05 17:43 UTC by Adam Mariš
Modified: 2019-09-29 14:14 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:14:32 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-06-05 17:43:18 UTC
ISSUE DESCRIPTION
=================

When polling event channels, in general arbitrary port numbers can be
specified.  Specifically, there is no requirement that a polled event
channel ports has ever been created.  When the code was generalised
from an earlier implementation, introducing some intermediate
pointers, a check should have been made that these intermediate
pointers are non-NULL.  However, that check was omitted.

IMPACT
======

A malicious or buggy guest may cause the hypervisor to access
addresses it doesn't control, usually leading to a host crash (Denial
of Service).  Information leaks cannot be excluded.

VULNERABLE SYSTEMS
==================

Xen versions 4.4 and newer are vulnerable.  Xen versions 4.3 and
earlier are not affected.

Both x86 and ARM systems are vulnerable.

While all guest kinds can cause a Denial of Service, only x86 PV guests
may be able to leverage the possible information leaks.

MITIGATION
==========

There is no known mitigation.

External References:

http://xenbits.xen.org/xsa/advisory-221.html

Acknowledgements:

Name: the Xen project
Upstream: Ankur Arora (Oracle)

Comment 1 Adam Mariš 2017-06-20 12:12:29 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1463231]


Note You need to log in before you can comment on or make changes to this bug.